package com.vmware.psc.alerting.persister.es;

import com.vmware.psc.alerting.persister.properties.EsWriterConfig;
import java.util.Map;
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * Properties holder to support multiple elasticsearch cluster The format should be "clusterName" :
 * "EsWriterConfig"
 */
@Data
@Component
@ConfigurationProperties(prefix = "alert-persister")
public class EsProperties {
  private Map<String, EsWriterConfig> esConfigMap;
}
