package com.vmware.psc.alerting.persister.exception;

import java.io.IOException;
import lombok.Getter;

public class RetryableElasticsearchException extends IOException {
  @Getter private String index;

  public RetryableElasticsearchException(String index, Exception cause) {
    super("Error writing data to index " + index, cause);
    this.index = index;
  }
}
