package com.vmware.psc.alerting.persister.exception;

import com.carbonblack.psc.orgkey.OrgKey;

public class RetryableOrgThreatException extends Exception {
  public RetryableOrgThreatException(OrgKey orgKey, String threatId, Throwable cause) {
    super(
        String.format(
            "Exception during OrgThreat operation for Org %s (%d/%s). Threat: %s ",
            orgKey.getKey(), orgKey.getOrgId(), orgKey.getEnv(), threatId),
        cause);
  }
}
