package com.vmware.psc.alerting.persister.kinesis.client;

import lombok.AllArgsConstructor;
import lombok.Getter;
import software.amazon.kinesis.retrieval.KinesisClientRecord;

@Getter
@AllArgsConstructor
public class ParsedRecord<T> {
  KinesisClientRecord record;
  T item;
  int recordSizeInBytes;
}
