package com.vmware.psc.alerting.persister.kinesis.client.properties;

import com.carbonblack.psc.backoff.configuration.BackoffInstanceProperties;
import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.NestedConfigurationProperty;

@Getter
@Setter
public class ClientBackoffProperties {
  @NestedConfigurationProperty
  private BackoffInstanceProperties process = new BackoffInstanceProperties();

  @NestedConfigurationProperty
  private BackoffInstanceProperties checkpoint = new BackoffInstanceProperties();
}
