package com.vmware.psc.alerting.persister.kinesis.exception;

/**
 * Exception used for signaling our worker that we cannot proceed with the record processing and
 * need to terminate
 */
public class AbandonWorkerException extends RuntimeException {
  static final long serialVersionUID = 1L;

  public AbandonWorkerException(final String message) {
    super(message);
  }

  public AbandonWorkerException(final String message, Throwable cause) {
    super(message, cause);
  }
}
