package com.vmware.psc.alerting.persister.integration.config;

import java.util.List;
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties("test-config")
@Data
public class TestConfig {
  String serviceName;
  Long servicePort;
  List<String> orgKeys;
}
