package com.vmware.psc.alerting.persister.cache.properties;

import java.time.Duration;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/** Cache alert aggregation properties. */
@Data
@Getter
@Setter
@Configuration
@ConfigurationProperties("alert-persister.cache.aggregation")
public class CacheAlertAggProperties {
  private boolean enabled;
  private Duration flushInterval;
}
