package com.vmware.psc.alerting.persister.exception;

import com.carbonblack.psc.orgkey.OrgKey;

public class UnsupportedEnvironmentException extends IllegalArgumentException {
  private static final long serialVersionUID = 193717451243L;

  public UnsupportedEnvironmentException(OrgKey key) {
    super(String.format("Unsupported environment %s for key %s.", key.getEnv(), key.getKey()));
  }
}
