package com.vmware.psc.alerting.persister.kinesis.client;

import com.carbonblack.psc.backoff.retrylocker.AbortRetryLocker;
import com.carbonblack.psc.backoff.sleep.DefaultSleep;
import com.carbonblack.psc.backoff.sleep.ISleeper;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class Backoff {
  @Bean
  ISleeper sleeper() {
    return new DefaultSleep();
  }

  @Bean
  AbortRetryLocker locker() {
    return new AbortRetryLocker();
  }
}
