package com.vmware.psc.alerting.persister.kinesis.client.properties;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class RecordProcessorProperties {
  /** The number of events that can be processed before a checkpoint will be forced */
  private int maxEventsBeforeCheckpoint = 5000;

  /** The maximum amount of time that is alllowed to pass before a checkpoint will be forced */
  private long checkpointIntervalMs = 30000;

  /** Whether compression should be used when decoding the record from the stream */
  private boolean useCompression = false;
}
