package com.vmware.psc.alerting.persister.kinesis.exception;

import java.nio.charset.StandardCharsets;

public class RecordParseException extends Exception {
  private static final long serialVersionUID = -12497872364L;

  public RecordParseException(byte[] data, Throwable cause) {
    super("Error deserializing data " + new String(data, StandardCharsets.UTF_8), cause);
  }
}
