package com.vmware.psc.alerting.persister.kinesis.producer.properties;

import com.carbonblack.psc.backoff.configuration.BackoffInstanceProperties;
import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.NestedConfigurationProperty;

@Getter
@Setter
public class KinesisBasicProducerProperties {
  boolean enabled = false;

  @NestedConfigurationProperty BackoffInstanceProperties backoff = new BackoffInstanceProperties();
}
