package com.vmware.psc.alerting.persister.orgthreat;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import java.io.Serializable;
import java.util.List;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@JsonIgnoreProperties(ignoreUnknown = true)
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class OrgThreat implements Serializable {
  private long orgId;
  private String threatId;
  private ThreatWorkflow workFlow;
  private long version;
  private List<String> tags;
  private boolean notePresent;
}
