package com.vmware.psc.alerting.persister.properties;

import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConfigurationProperties("alert-persister.notes-config")
@Getter
@Setter
public class NotesConfig {

  private String alertLevelIndexPrefix;

  private String threatLevelIndexPrefix;

  private String suppressionLevelIndexPrefix;
}
