package com.vmware.psc.alerting.persister.util;

import com.carbonblack.psc.backoff.ExponentialBackoff;
import com.vmware.psc.alerting.persister.kinesis.client.properties.RecordProcessorProperties;
import io.micrometer.core.instrument.MeterRegistry;

public record RecordProcessingSupport(
    MeterRegistry registry,
    RecordProcessorProperties processorProperties,
    ExponentialBackoff processBackoff,
    ExponentialBackoff checkpointBackoff) {}
