package com.vmware.psc.alerting.persister;

import static org.assertj.core.api.Assertions.assertThat;
import static org.junit.jupiter.api.Assertions.assertNotNull;

import com.vmware.psc.alerting.persister.cache.listeners.SpringContext;
import com.vmware.psc.alerting.persister.es.AlertWriter;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;

public class AlertPersisterApplicationTest extends BaseAlertPersisterSpringBootTest {

  @Autowired private ApplicationContext applicationContext;

  @Test
  public void contextLoads() {
    assertThat(applicationContext).isNotNull();
  }

  @Test
  void getBean() {
    assertNotNull(SpringContext.getBean(AlertWriter.class));
  }
}
