package com.vmware.psc.alerting.persister;

import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.TestInstance;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.test.context.ContextConfiguration;

@SpringBootTest(classes = {AlertPersisterApplication.class})
@ActiveProfiles({"localstack", "unittest"})
@TestInstance(TestInstance.Lifecycle.PER_CLASS)
@ContextConfiguration(name = "cleanContext")
@EnableCaching
@Slf4j
public abstract class BaseAlertPersisterSpringBootTest {}
